apiVersion: apps/v1
kind: Deployment
metadata:
  name: productcatalogservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: productcatalogservice
  template:
    metadata:
      labels:
        app: productcatalogservice
    spec:
      containers:
      - name: productcatalogservice
        image: your-dockerhub-username/productcatalogservice:latest
        ports:
        - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: productcatalogservice
spec:
  selector:
    app: productcatalogservice
  ports:
  - protocol: TCP
    port: 80
    targetPort: 80
